<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage --><html lang="en">
<head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<!-- Generated by javadoc (1.8.0_121) on Thu Sep 26 20:37:37 UTC 2019 -->
<title>Uses of Package com.here.android.mpa.odml (HERE Android Premium SDK)</title>
<meta name="date" content="2019-09-26">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
<meta name="copyright" content="© 2019 HERE Europe B.V."><meta name="html_title" content="HERE Android Premium SDK NLP Premium Edition v3.13 API Reference"><meta name="DC.Document.Id" content="28f10409-3c3a-4aab-a398-4c46acfeab3a"><meta name="DC.Document.Name" content="HERE Android Premium SDK Java API Reference"><meta name="DC.Product.Name" content="HERE Android Premium SDK"><meta name="DC.Product.Version" content="3.13"><meta name="DC.Creation.Date" content="2019-10-25T09:06:39+00:00"></head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Package com.here.android.mpa.odml (HERE Android Premium SDK)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li class="navBarCell1Rev">Use</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/here/android/mpa/odml/package-use.html" target="_top">Frames</a></li>
<li><a href="package-use.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 title="Uses of Package com.here.android.mpa.odml" class="title">Uses of Package<br>com.here.android.mpa.odml</h1>
</div>
<div class="contentContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing packages, and an explanation">
<caption><span>Packages that use <a href="../../../../../com/here/android/mpa/odml/package-summary.html">com.here.android.mpa.odml</a></span><span class="tabEnd"> </span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="#com.here.android.mpa.odml">com.here.android.mpa.odml</a></td>
<td class="colLast">
<div class="block">The ODML (On Device Map Loader) package provides classes, interfaces and enumerations which facilitate the download of map data for
    offline use.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="com.here.android.mpa.odml">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../../com/here/android/mpa/odml/package-summary.html">com.here.android.mpa.odml</a> used by <a href="../../../../../com/here/android/mpa/odml/package-summary.html">com.here.android.mpa.odml</a></span><span class="tabEnd"> </span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../../../../com/here/android/mpa/odml/class-use/MapLoader.html#com.here.android.mpa.odml">MapLoader</a>
<div class="block">Facilitates the use of offline map data.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../../com/here/android/mpa/odml/class-use/MapLoader.Listener.html#com.here.android.mpa.odml">MapLoader.Listener</a>
<div class="block">Represents a listener interface for receiving notifications from the <a href="../../../../../com/here/android/mpa/odml/MapLoader.html" title="class in com.here.android.mpa.odml"><code>MapLoader</code></a>.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="../../../../../com/here/android/mpa/odml/class-use/MapLoader.MapPackageAtCoordinateListener.html#com.here.android.mpa.odml">MapLoader.MapPackageAtCoordinateListener</a>
<div class="block">Represents a listener interface with a callback which gets invoked upon package retrieval.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../../com/here/android/mpa/odml/class-use/MapLoader.ResultCode.html#com.here.android.mpa.odml">MapLoader.ResultCode</a>
<div class="block">Represents values describing the status of a <a href="../../../../../com/here/android/mpa/odml/MapLoader.html" title="class in com.here.android.mpa.odml"><code>MapLoader</code></a> operation.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="../../../../../com/here/android/mpa/odml/class-use/MapPackage.html#com.here.android.mpa.odml">MapPackage</a>
<div class="block">Represents a model for obtaining information about offline map packages that can be installed
 using a <a href="../../../../../com/here/android/mpa/odml/MapLoader.html" title="class in com.here.android.mpa.odml"><code>MapLoader</code></a>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../../com/here/android/mpa/odml/class-use/MapPackage.InstallationState.html#com.here.android.mpa.odml">MapPackage.InstallationState</a>
<div class="block">Represents values describing the installation state of the <code>MapPackage</code></div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="../../../../../com/here/android/mpa/odml/class-use/MapPackage.SelectableDataGroup.html#com.here.android.mpa.odml">MapPackage.SelectableDataGroup</a>
<div class="block">The data groups which may be optionally selected for offline map downloads.</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li class="navBarCell1Rev">Use</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage">Copyright (c) 2011-2019 HERE Global B.V. All rights reserved.</div>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/here/android/mpa/odml/package-use.html" target="_top">Frames</a></li>
<li><a href="package-use.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
